RARPD(8)

NAME
rarpd - Reverse ARP Daemon

SYNOPSIS
rarpd [ -af ] [ interface ]

DESCRIPTION

Rarpd services Reverse ARP requests on the Ethernet connected to interface. Upon receiving a request, maps the target hardware address to an IP address via its name, which must be present in both the ethers(5) and hosts(5) databases. If a host does not exist in both databases, the translation cannot proceed and a reply will not be sent. Additionally, a request is honored only if the server (i.e., the host that rarpd is running on) can "boot" the target; that is, if the directory /tftpboot/ipaddr exists, where ipaddr is the target IP address in hexadecimal. In normal operation, rarpd forks a copy of itself and runs in the background. Anomalies and errors are reported via syslog(3).

OPTIONS

-a  Listen on all the Ethernets attached to the system. If `-a' is omitted, an interface must be specified.

-f  Run in the foreground.

FILES
/etc/ethers
/etc/hosts
/tftpboot

SEE ALSO
bpf(4)
RFC 903: Finlayson, R.; Mann, T.; Mogul, J.C.; Theimer, M. Reverse Address Resolution Protocol. 1984 June; 4 p.

AUTHORS
Craig Leres (leres@helios.ee.lbl.gov) and Steven McCanne (mccanne@helios.ee.lbl.gov). Lawrence Berkeley Laboratory, University of California, Berkeley, CA.

BUGS
You must have the Berkeley Packet Filter configured into your kernel in order to use this program. This isn't really a bug, but it isn't exactly a feature either.